Author Topic: Do you really need DOS/WIN16 Support?  (Read 1714 times)

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Thank You
  • -Given: 245
  • -Receive: 46
  • Posts: 1643
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Do you really need DOS/WIN16 Support?
« on: March 11, 2017, 05:55:22 pm »
I'm just trying to understand the weight of the legacy on this subject, so the question is "Do you really need DOS/WIN16 Support as OS/2 Warp offers it?"

It can be interesting to know:
1) Which DOS and Windows 3.1 applications are still needed ? Please list the name of it.
2) Why can not DOSBox with Win3.1 installed can it be used?
3) Why it is needed to be WIN16 integrated VM on OS/2?

If you know a friend of a friend that works on a place that may uses OS/2's Win16, please try to find the industry and name of the software that they are running or that company.

Regards


Martin Iturbide
OS2World NewsMaster
... just share the dream.

Joop

  • Sr. Member
  • ****
  • Thank You
  • -Given: 0
  • -Receive: 30
  • Posts: 405
    • View Profile
Re: Do you really need DOS/WIN16 Support?
« Reply #1 on: March 11, 2017, 06:24:37 pm »
I'm just trying to understand the weight of the legacy on this subject, so the question is "Do you really need DOS/WIN16 Support as OS/2 Warp offers it?"
Yes!
It can be interesting to know:
1) Which DOS and Windows 3.1 applications are still needed ? Please list the name of it.
WP 5.2+
Van Dale dictionary Dutch and synonymous Dutch
Psion database
PC-Outline
Het groene boekje Dutch spelling
Drafix cad program
3Base
PC-Write
PC-File
Psion Backup
Rcom OS (Psion)
Character map
Mini-Makeup
And I have a lot of cd's with DOS and Win 3.1 stuff...

2) Why can not DOSBox with Win3.1 installed can it be used?
Not native and it slows down

3) Why it is needed to be WIN16 integrated VM on OS/2?
Seamless integration and that's the reason I stick to OS/2. Copy and paste in very very old Dos programs which do not know what that is.


Andreas Kohl

  • Full Member
  • ***
  • Thank You
  • -Given: 4
  • -Receive: 6
  • Posts: 142
    • View Profile
    • warpserver.de
Re: Do you really need DOS/WIN16 Support?
« Reply #2 on: March 11, 2017, 07:11:03 pm »
1) Which DOS and Windows 3.1 applications are still needed ? Please list the name of it.
I don't want to list hundreds programs here. So let's simply start with some stuff from OS/2 product package that relies on working VDM:
* MMPM/2 and its drivers
* LAPS
* TCP/IP
* OS/2 LAN Services
* Netscape Win16 plugins

For program maintenance:
* Microsoft MASM
* Microsoft FoxPro for Windows (Win386)
* Watcom C/C++

Or quite common stuff:
*Adobe Acrobat
*Aldus FreeHand
*Corel Draw
*IBM Personal Translator, IBM Translation Manager (Win32s)

If you want to run Adobe Photoshop you will also need Win32s and WinG support installed first.

Also I could list now a lot of packages that are used to interface microcontrollers, PLCs or mobile devices.

In fact the majority of newly released software that could run under OS/2 are mostly DOS apps.

Quote
2) Why can not DOSBox with Win3.1 installed can it be used?
Why you want to use slow or non acurate emulation? Without reliable networking support. No terminal support.

Quote
3) Why it is needed to be WIN16 integrated VM on OS/2?
Sorry, but I don't realise what's the topic of this question. Do you speak about seamless Win-OS/2 sessions?
Not to mention DDE between Windows and OS/2 PM applications.

Pete

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 26
  • Posts: 529
    • View Profile
Re: Do you really need DOS/WIN16 Support?
« Reply #3 on: March 12, 2017, 01:52:22 am »
Hi Martin

DOS/Win16 support not required; no DOS/Win16 apps.

I have a few old DOS games that I play using DOSBox - Heretic, Epic Pinball, Red Baron

DOS/Win16 support is not required for:
* MMPM/2 and its drivers
* LAPS
* TCP/IP
* OS/2 LAN Services - Peer networking

All of the above run fine without DOS/Win16 support installed.


Yes DOSBox can run Win3.1 but it is slow and not having any use for Win3.1 apps I do not need any form of Win16 capability.


Regards

Pete
« Last Edit: March 13, 2017, 05:04:51 pm by Pete »

André Heldoorn

  • Full Member
  • ***
  • Thank You
  • -Given: 37
  • -Receive: 7
  • Posts: 190
    • View Profile
Re: Do you really need DOS/WIN16 Support?
« Reply #4 on: March 12, 2017, 01:57:04 pm »
Too many to list, mainly DOS, and I won't provide data to the alledged opposition whom tend to abuse a poipular vote. "Need" is undefined. The list is longer than the list of reasons to drop support for DOS. Win-OS/2 apps include MS Office, and Windows 10 is a better alternative than DOSBox/2. A guesstimated DOS/Win16-OS/2 ratio of installed WPProgram objects will be about 50-50'ish. A guesstimated DOS-Win16 ratio of DOS/Win16 apps will be about 19-1'ish. A Win16-DOSBox ratio will be about 4-1. DOSBox typically is an inferior solution, exceptions excluded.

Daniel Carroll

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 23
    • View Profile
Re: Do you really need DOS/WIN16 Support?
« Reply #5 on: March 13, 2017, 06:48:25 am »
I regularly use:
OrCAD, DOS, Schematic capture and PCB layout software
AutoCAD LT, Win 3.1, 2D mechanical CAD and printing of OrCAD output
CAM350, Win 3.1, Gerber file viewer, statistics and editor
IAR assembler and C compiler for 8051, DOS

and occasionally
NLREG, DOS, Non-linear regression analysis. Really useful for finding correlations in data (and throwing out irrelevancies).

I also have several MIDI programs I would love to be able to use again, but...

Eduardo Vila Echagüe

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 1
  • Posts: 9
    • View Profile
Re: Do you really need DOS/WIN16 Support?
« Reply #6 on: March 16, 2017, 07:24:32 pm »
I use lots of QBasic programs developed by me.

Greg Pringle

  • Jr. Member
  • **
  • Thank You
  • -Given: 1
  • -Receive: 2
  • Posts: 77
    • View Profile
Re: Do you really need DOS/WIN16 Support?
« Reply #7 on: March 16, 2017, 08:48:36 pm »
Get with the program Martin. I still use Unix developed in 1971 and Dos which used many of the ideas from Unix.

As to actual DOS in OS/2, well not regularly but I have some good hacking tools that run in DOS under OS/2.

Greggory Shaw

  • Global Moderator
  • Sr. Member
  • *****
  • Thank You
  • -Given: 36
  • -Receive: 19
  • Posts: 416
    • View Profile
Re: Do you really need DOS/WIN16 Support?
« Reply #8 on: March 17, 2017, 12:53:51 am »
Get with the program Martin. ...

Bit out of line (did you just scan the title?), Martin asked a general question about Win/Dos and wanted useful responses about what programs people still use.

It amazes me all the time on the effort and great work Martin does for the OS/2 community.

Quote
If you know a friend of a friend that works on a place that may uses OS/2's Win16, please try to find the industry and name of the software that they are running or that company.

This info may be important to a company that is upgrading to Blue Lion or in general.
« Last Edit: March 17, 2017, 05:38:07 am by Greggory Shaw »

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Thank You
  • -Given: 245
  • -Receive: 46
  • Posts: 1643
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Do you really need DOS/WIN16 Support?
« Reply #9 on: March 17, 2017, 03:43:10 pm »
Get with the program Martin. ...

There is not problem with that. Maybe I did not tell on this thread that this discussion was also to remove the DOS/Win16 VM part of the "Are you getting ready for ArcaOS?"

It is interesting to know the applications that are making people stick to DOS and Win16, and also why they want the "seamless Win-OS/2 integration".  Some of the apps looks very interesting and specific to an area, while there are some that seems that are still being used on Win16 just because of personal preference.

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Andreas Schnellbacher

  • Full Member
  • ***
  • Thank You
  • -Given: 1
  • -Receive: 14
  • Posts: 236
    • View Profile
Re: Do you really need DOS/WIN16 Support?
« Reply #10 on: March 17, 2017, 05:44:55 pm »

Maybe I did not tell on this thread that this discussion was also to remove the DOS/Win16 VM part of the "Are you getting ready for ArcaOS?"
I can't remember that somebody wrote that. Do you have a link to that message? (I found only several messages which gave the impression of that. At least, I understand now why you created this thread here.)

Wim Brul

  • Full Member
  • ***
  • Thank You
  • -Given: 3
  • -Receive: 28
  • Posts: 130
    • View Profile
    • Wim's home page
Re: Do you really need DOS/WIN16 Support?
« Reply #11 on: March 17, 2017, 06:52:13 pm »
Quote
Do you really need DOS/WIN16 Support as OS/2 Warp offers it?

Yes I do because then I can keep on using my DOS/WIN16 programs.

Quote
1) Which DOS and Windows 3.1  applications are still needed ? Please list the name of it.

MDOS, 1986, IBM Wisepak Filing Assistant
MDOS, 1986, IBM Wisepak Reporting Assistant
MDOS, 1986, IBM Wisepak Writing Assistant
MDOS, 1986, PFM for COMPAQ computers/compatibles
MDOS, 1993, Adaptec CD-Player Utility
MDOS, 1993, IBM T - A Tiny Editor
MDOS, 1994, as65 Assembler for 6502 Microprocessor
MDOS, 1994, ULTIboard Printed Circuit Package
MDOS, 1994, ULTIcap Schematic Capture Package
MDOS, 2001, CCS64 Commodore 64 Software Emulator
MDOS, 2001, MPASM PIC16/17 Microcontroller Assembler

WINOS2, 1994, ULTIroute GXR Ripup/Retry Autorouter
WINOS2, 2001, MPASM PIC16/17 Microcontroller Assembler
WINOS2, 2001, MPLAB IDE for PIC16/17 Microcontrollers
WINOS2, 2001, PICSTART Plus Microcontroller Programmer


André Heldoorn

  • Full Member
  • ***
  • Thank You
  • -Given: 37
  • -Receive: 7
  • Posts: 190
    • View Profile
Re: Do you really need DOS/WIN16 Support?
« Reply #12 on: March 18, 2017, 08:57:57 am »
It is interesting to know the applications that are making people stick to DOS and Win16, and also why they want the "seamless Win-OS/2 integration".

The rather weird context of a few individuals was already clear, but your goal wasn't. Applications had to be "really needed", apparently the slow video of DOSBox and buying Windows is an alternative, and happy users almost had to justify why they are satisfied. While not installing WinOS/2 and DOS isn't that hard. If a minority claims that DOS software is old, then I won't stop them from using a ported "RM * -R"

I may have started it, by pointing out that a return of DOS sound is important for the niche market of people finding their old collection of DOS games, with people perhaps failing to understand that pointing out the existence of a larger market is irrelevant for a niche market. AN itelf has used Win-OS/2 to promote their OS (in the case of Orly Airport, Paris, France). It's almost trolling to point out that DOS software is really, really old, while using and OS that may even be older than the DOS software in (virtual) question. Go figure...

It has no use to throw away working, (rarely and not rarely) used DOS and Win16 software. There's a Chomp for OS/2 (black & white) and there's a Chomp for Win-OS2 (colors). If you want to, you can install both. If you prefer the colors, then you can delete the even older OS/2 software and, unlike me, keep the Win-OS/2 version.

A generic problem of DOSBox is the slowlyness of its video, compared to OS/2 and SNAP, as already pointed out by Dave Yeo. Slowlyness (DOSBox) affects all applications, being mute (OS/2) affects less applications.

So: what's the dicussion? Does a minority emand that all users of DOS-based software delete their software? Even DOS sound for a niche market isn't a new develepoment. We used to have it.

A virtual business case involves a "modern" DOS game and modern hardware. We don't know if the game will work, if you'd try to promote some ArcaOS, the game will be mute, and there's DOSBox for Windows 10 too.

Regarding companies (what about governments and their lack of technical competition?): if I know a case of people still using Windows 3.1 and Windows 3.1, then I can promise you that I've already informed this rather random lead about, my reference, eComStation and Win-OS/2, and I'm not representing AN's marketing department. Niche market advertising will work better. AN is already aware of at least one well-known case, which can be used in advertising: the commercial French airport, which made the international news.

No list, which would include a classic Win-OS/2 app like PBRUSH.EXE. Because I'm not going to feed the opposition, if the DOS sound-inspired opposition still exists. And if I'd "prefer" MS Office, or "need" it, and outdated software has to be banned, then I'm already aware of Windows 10 and Office 365. The right order is that the opposition, if any, has to advocate why I have to delete my copy for Win-OS/2. Let's not reverse that. DOS support and Win-OS/2 is an asset, optional, which doesn't stop any new developments, and it makes no sense at all to delete working software "because it's old" (but possibly not as old as OS/2 itself).
« Last Edit: March 18, 2017, 08:59:39 am by André Heldoorn »

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Thank You
  • -Given: 245
  • -Receive: 46
  • Posts: 1643
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Do you really need DOS/WIN16 Support?
« Reply #13 on: March 18, 2017, 02:39:45 pm »
Quote
So: what's the dicussion? Does a minority emand that all users of DOS-based software delete their software?

Hi André.

I just want to make sure to you that there is no illuminati conspiracy to remove DOS/Win16 from OS/2 or ArcaOS. Also, it was clearly stated that ArcaOS will include that feature. So, there is no reasson to freak out, nobody can demand anything to you, you have your free will and you do whatever you want.

I ask this because I noticed some discussion about Win16 on other thread and I "honestly" wanted to understand better what is the need for DOS/Win16 applications, since I no longer use it. If you don't want to share which applications you use, that is ok.  Your comments about your DOS/Win16 requirements are also good.

Regards
« Last Edit: March 18, 2017, 03:46:08 pm by Martin Iturbide »
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Andi B.

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 12
  • Posts: 312
    • View Profile
Re: Do you really need DOS/WIN16 Support?
« Reply #14 on: March 18, 2017, 04:33:57 pm »
To add more of the exotic apps, here what I use(d) some times -
- Hitex Hitop for controlling the 8051 teletest51 In-Circuit-Emulator
- LCPX5X40 for programming 89C51RDx
- PCAD v9
- and even Lexirom3 some times